> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/tr/api-dokumanlari/geopard-api-isteklerine-genel-bakis/76.-sorgu-equationmap-i-getir.md).

# 76. Sorgu: "EquationMap"i getir

"EquationMaps"i "Field"e bağlı olarak al.&#x20;

## Talep Et

Şuna göre filtrele `equationMapUuids` ve `statuses` da desteklenir.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
sorgu GetEquationMaps {
  getFarms(farmUuids: ["<placeholder_of_farm_uuid>"]) {
    fields(fieldUuids: ["<placeholder_of_field_uuid>"]) {
      equationMaps(equationMapUuids: ["<placeholder_of_equationmap_uuid>"]) {
        uuid
        fieldUuid
        isim
        equationMapUrl
        özelliklerUrl
        status
        parametreler {
          gridPixelSizeX
          gridPixelSizeY
        }
        equationResultVariable
        equationAsText
        productUnit
        
        # EquationMap verilerinin istatistikleri
        istatistikler {
          min
          max
          avg
          mdn
          var
          std
          adet
          sum
          benzersizAdet
          benzersizDizi
        } 
        
        dataVariables {
          değişken
          örnekDeğer
          
          # Kullanılan her DataLayer'ın istatistikleri
          istatistikler {
            min
            max
            avg
            mdn
            var
            std
            adet
            sum
            benzersizAdet
            benzersizDizi
          }
          
          # Verim Veri Seti
          yieldDataset {
            uuid
            fieldUuid
          }
          verimÖzelliği
          
          # Toprak Veri Seti
          soilDataset {
            uuid
            fieldUuid
          }
          toprakÖzelliği
          
          # Uygulama Kayıtları (AsAppliedDataset)
          asAppliedDataset {
            uuid
            fieldUuid
          }
          uygulananÖzellik
          
          # Topografya Haritası
          topografyaHaritası {
            uuid
            fieldUuid
          }
          topografyaÖzelliği
          
          # Uydu Görüntüsü
          uyduGörüntüleri {
            satelliteImage {
              uuid
            }
            fieldUuid
          }
          indeks
          
          # EquationMap
          equationMap {
            uuid
            fieldUuid
          }

          # Zon Haritası (VectorAnalysisMap)
          vectorAnalysisMap {
            uuid
            fieldUuid          
          }
        }
      }
    }
  }
}
```

{% endcode %}

## Yanıt

```json
{
  "data": {
    "getFarms": [
      {
        "fields": [
          {
            "equationMaps": [
              {
                "uuid": "a6c8f959-2708-438b-bbb3-4043927cf79c",
                "fieldUuid": "a716fd04-4f78-4ce8-b712-ffb88bd2acdd",
                "name": "NUE 2023 - özel GP fonksiyonu",
                "equationMapUrl": "https://api.geopard.tech/geo/feature?SERVICE=WFS&VERSION=2.0.0&REQUEST=GetFeature&TYPENAMES=equation_pixel_map_view&OUTPUTFORMAT=application/json&VIEWPARAMS=uuid:a6c8f959-2708-438b-bbb3-4043927cf79c",
                "attributesUrl": "https://api.geopard.tech/geo/feature?SERVICE=WFS&VERSION=2.0.0&REQUEST=GetFeature&TYPENAMES=equation_pixel_map_view&OUTPUTFORMAT=application/json&VIEWPARAMS=uuid:a6c8f959-2708-438b-bbb3-4043927cf79c&PROPERTYNAME=mapUuid,geometryId,zone,value,createdDate,updatedDate",
                "status": "EXECUTED",
                "parameters": {
                  "gridPixelSizeX": 5,
                  "gridPixelSizeY": 5
                },
                "equationResultVariable": "NUE",
                "equationAsText": "NUE = geopard.calculate_nitrogen_use_efficiency(N_total_applied, N_uptake)",
                "productUnit": null,
                "statistics": {
                  "min": 59,
                  "max": 129,
                  "avg": 91.956,
                  "mdn": 92,
                  "var": 80.127,
                  "std": 8.951,
                  "cnt": 5290,
                  "sum": null,
                  "uniqueCnt": 66,
                  "uniqueArr": null
                },
                "dataVariables": [
                  {
                    "variable": "N_total_applied",
                    "sampleValue": null,
                    "statistics": {
                      "min": 79.645,
                      "max": 205.552,
                      "avg": 155.153,
                      "mdn": 156.491,
                      "var": 124.07,
                      "std": 11.139,
                      "cnt": 15529,
                      "sum": null,
                      "uniqueCnt": 4410,
                      "uniqueArr": null
                    },
                    "yieldDataset": null,
                    "yieldAttribute": null,
                    "soilDataset": null,
                    "soilAttribute": null,
                    "asAppliedDataset": null,
                    "asAppliedAttribute": null,
                    "topographyMap": null,
                    "topographyAttribute": null,
                    "satelliteImages": null,
                    "index": null,
                    "equationMap": {
                      "uuid": "855647dd-58fe-43cc-ac9c-f3888a7e369e",
                      "fieldUuid": "a716fd04-4f78-4ce8-b712-ffb88bd2acdd"
                    },
                    "vectorAnalysisMap": null
                  },
                  {
                    "variable": "N_uptake",
                    "sampleValue": null,
                    "statistics": {
                      "min": 108.778,
                      "max": 174.12,
                      "avg": 143.225,
                      "mdn": 144.005,
                      "var": 102.748,
                      "std": 10.136,
                      "cnt": 15529,
                      "sum": null,
                      "uniqueCnt": 4640,
                      "uniqueArr": null
                    },
                    "yieldDataset": null,
                    "yieldAttribute": null,
                    "soilDataset": null,
                    "soilAttribute": null,
                    "asAppliedDataset": null,
                    "asAppliedAttribute": null,
                    "topographyMap": null,
                    "topographyAttribute": null,
                    "satelliteImages": null,
                    "index": null,
                    "equationMap": {
                      "uuid": "bd0571ff-70a9-4a71-aa8f-68dbb9ce0369",
                      "fieldUuid": "a716fd04-4f78-4ce8-b712-ffb88bd2acdd"
                    },
                    "vectorAnalysisMap": null
                  }
                ]
              }
            ]
          }
        ]
      }
    ]
  }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/tr/api-dokumanlari/geopard-api-isteklerine-genel-bakis/76.-sorgu-equationmap-i-getir.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
